<?php

class PaginasSiteVotacao extends CI_Controller {

    function __construct() {
        parent::__construct();
//        if ((!$this->session->userdata('session_id')) || (!$this->session->userdata('logado'))) {
//            if ($this->session->userdata('isMobile')) {
//                redirect('principal/loginSiteMobile');
//            }
//            redirect('principal/loginSite');
//        }

        $this->load->helper(array('form', 'codegen_helper'));
        $this->load->model('noticias_model', '', TRUE);
        $this->load->model('principal_model', '', TRUE);
        $this->load->model('site/servicossite_model', '', TRUE);
    }

    function index() {
        $this->gerenciar();
    }

    public function gerenciar(){
        $this->data['view'] = 'site/votacao/homeVotacao';
        $this->load->view('site/votacao/topoSiteVotacao', $this->data);
    }

    public function loginSiteVotacao() {
        $this->data['view'] = 'site/votacao/loginVotacao';
        $this->data['slide'] = 'site/temas/slide';
        $this->load->view('site/votacao/topoSiteVotacao', $this->data);
    }

    function sindico() {
        $this->data['pagina'] = 'site/votacao/candidatos/candidatosSindico';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/votacao/topoSiteVotacao', $this->data);
    }

    function subSindico() {
        $this->data['pagina'] = 'site/votacao/candidatos/candidatosSubSindico';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/votacao/topoSiteVotacao', $this->data);
    }

    function gerenciarSiteVotacao() {
        if ((!$this->session->userdata('session_id')) || (!$this->session->userdata('logado'))) {
            $this->loginSiteVotacao();
        }
        redirect(base_url() . 'site/paginasSiteVotacao');
    }

    public function verificarLoginSiteVotacao() {
        $this->load->library('form_validation');
        $this->form_validation->set_rules('cpf', 'CPF', 'required|xss_clean|trim');
        $ajax = $this->input->get('ajax');

        if ($this->form_validation->run() == false) {
            if ($ajax == true) {
                $json = array('result' => false);

                echo json_encode($json);
            } else {
                $this->session->set_flashdata('error', 'Os dados de acesso est???o incorretos.');
                $this->loginSiteVotacao();
            }
        } else {

            $cpf = $this->input->post('cpf');

            $this->db->where('cpfMorador', $cpf);
            $this->db->where('situacaoMorador', "Ativo");
            $this->db->limit(1);
            $morador = $this->db->get('morador')->row();
            if (count($morador) > 0) {
                $dados = array('nm_morador' => $morador->nm_morador,
                    'idMorador' => $morador->idMorador,
                    'email_morador' => $morador->email_morador,
                    'nr_apartamento' => $morador->nr_apartamento,
                    'blocoApartamento' => $morador->blocoApartamento,
                    'celularMorador' => $morador->nr_celular,
//                    'logado' => TRUE,
                    );
                $this->session->set_userdata($dados);

                if ($ajax == true) {
                    $json = array('result' => true);
                    echo json_encode($json);
                } else {
                    $this->gerenciarSiteVotacao();
                }
            } else {
                if ($ajax == true) {
                    $json = array('result' => false);
                    echo json_encode($json);
                } else {
                    $this->session->set_flashdata('error', 'Os dados de acesso estao incorretos.');
                    $this->loginSiteVotacao();
                }
            }
        }
    }


}
